using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace Matematika_gyakorlo
{
    public partial class Form3 : Form
    {Random r=new Random();
    int ido = 60;
    string s;
    int helyes=0;
        public Form3()
        {
            InitializeComponent();
        }
   //idozito szepseg
        public string At(int x)
    {
        if (x<10) 
          return "0"+x.ToString();
        else return x.ToString();
    }

  //menu
        private void főmenüToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (MessageBox.Show("Biztosan ki akarsz lépni?", "Vigyázz!", MessageBoxButtons.YesNo, MessageBoxIcon.Question, MessageBoxDefaultButton.Button2) == DialogResult.Yes)
            {
               Close();
            }
        }

        private void kilépésToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (MessageBox.Show("Biztosan ki akarsz lépni a teljes játékból?", "Vigyázz!", MessageBoxButtons.YesNo, MessageBoxIcon.Question, MessageBoxDefaultButton.Button2) == DialogResult.Yes)
            {
                Application.Exit();
              
            }
        }
        private void újJátékToolStripMenuItem_Click(object sender, EventArgs e)
        {
            ido = 60;
            label5.Text = "01:00";
            helyes = 0;
            timer1.Enabled = true;
            toolUzenet.Text = "";
            Form3_Load(sender, e);
        }

  //Load      
        private void Form3_Load(object sender, EventArgs e)
        {int kep1,kep2;
            kep1=r.Next(1,11);
            kep2=r.Next(1,11);
            string ut = Path.GetDirectoryName(Application.ExecutablePath);
            try
            {
                pictureBox1.Load(ut + "\\bal\\" + kep1 + ".jpg");
                pictureBox2.Load(ut + "\\jobb\\" + kep2 + ".jpg");
            }
            catch (Exception)
            {
                MessageBox.Show("Nem létezik a kép");
            }
            if (kep1 > kep2) s = ">";
            if (kep1 < kep2) s = "<";
            if (kep1 == kep2) s = "=";

        }
  //jel-valtoztat
        private void label2_Click(object sender, EventArgs e)
        {
            if (label2.Text == "<") label2.Text = ">";
            else{
                 if (label2.Text == ">") label2.Text = "=";
                 else label2.Text = "<";
            }
        }
 //OK
        private void button1_Click(object sender, EventArgs e)
        {
            if (s == label2.Text)
            {
                helyes++;
                
                toolUzenet.Text = "Az előző kérdésre jó volt a válasz! | Eddigi pontszámod: "+helyes.ToString()+" pont";
                int kep1, kep2;
                kep1 = r.Next(1, 10);
                kep2 = r.Next(1, 10);
                string ut = Path.GetDirectoryName(Application.ExecutablePath);
                try
                {
                    pictureBox1.Load(ut + "\\bal\\" + kep1 + ".jpg");
                    pictureBox2.Load(ut + "\\jobb\\" + kep2 + ".jpg");
                }
                catch (Exception)
                {
                    MessageBox.Show("Nem létezik a kép");
                }
                if (kep1 > kep2) s = ">";
                if (kep1 < kep2) s = "<";
                if (kep1 == kep2) s = "=";
            }
            else
            {
                Mentes();
                timer1.Enabled = false;
                MessageBox.Show("Rossz válasz! Vége a játéknak.\n"+"Elért pontszám: "+helyes.ToString());
                Form7 f = new Form7();
                f.radioButton1.Checked = true;
                f.ShowDialog();
               
            }
        }
  //Mentes
        void Mentes()
        {
            string sor;
            int tmp, i, j;
            int[] szamok = new int[6];
            string ut = Path.GetDirectoryName(Application.ExecutablePath);
            StreamReader sr = new StreamReader(ut + "\\I.txt");
            for (i = 0; i < 5; i++)
            {
                sor = sr.ReadLine();
                szamok[i] = int.Parse(sor);
            }
            sr.Close();
            szamok[5] = helyes;

            for (i = 0; i < 5; i++)
                for (j = i + 1; j < 6; j++)
                    if (szamok[i] < szamok[j]) { tmp = szamok[i]; szamok[i] = szamok[j]; szamok[j] = tmp; }

            StreamWriter sw = new StreamWriter(ut + "\\I.txt");
            for (i = 0; i < 5; i++)
                sw.WriteLine(szamok[i]);
            sw.Close();
        }
  //idozito
        private void timer1_Tick(object sender, EventArgs e)
        {
            ido--;
            if (ido == 0)
            {
                timer1.Enabled = false;
                MessageBox.Show("Sajnos letelt az időd...\n" + "Az elért pontszám " + helyes.ToString());
                Mentes();
                Form7 f = new Form7();
                f.radioButton1.Checked = true;
                f.ShowDialog();
                
            }
            label5.Text = "00:" + At(ido);
        }

       
    }
}
